Get blackout settings
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/blackouts/settings
Returns blackout settings.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : ApiBlackoutSettings
Type:
objectAPI blackout settings.
Show Source
-
diagnosticsEnabled: boolean
Indicates whether blackout diagnostics is enabled.Example:
true -
reasonRequired: boolean
Indicates whether Blackout Reasons are mandatory when creating Blackouts.Example:
false
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message